Subject: bug#71912: 30.0.50; Inaccurate window-absolute-pixel-position Values on macOS After Sleep and During Fullscreen Mode

From: Alan Third <[email-masked]>
Date: Fri, 26 Jul 2024 20:24:56 +0100

On Thu, Jul 25, 2024 at 09:39:16AM +0200, Gerd Möllmann wrote:
> Gerd Möllmann <[email-masked]> writes:
> 
> The following patch for master addresses this at least partially. Part
> of the problem is, it appears to me, is that windowDidMove is not called
> when entering/exiting fullscreen mode, so that a frame's left_pos and
> top_pos are not adjusted. The patch tries to fix that. I haven't found
> out what to do with the frame parameters top and left.

If you look at toggleFullScreen it creates a new NSWindow for
switching to fullscreen, or re-uses the old non-fullscreen NSWindow
when switching out of fullscreen, so the windows don't move.

You can actually just call windowDidMove directly. I'd suggest doing
it at the end of toggleFullScreen.

-- 
Alan Third